#ifndef SRC_UTILS_H_
#define SRC_UTILS_H_

#include <string>
#include <ctime>

std::string StringTrim(std::string str);
std::string StringLower(std::string str);
std::string toISO8601Time(std::time_t& time);
std::string uriDecode(std::string& str);
std::string uriEncode(std::string& str, bool path=false);
std::string utf8_to_string(const std::string& str);


#endif /* SRC_UTILS_H_ */
